DrupalのSVG FormatterモジュールにXSS脆弱性。Webサイトへの影響と対策を解説します (SA-CONTRIB-2022-028)

こんにちは。「SiteCloud」プリセールスの高瀬です。

2022年3月にDrupalのSVG FormatterモジュールについてXSS脆弱性(SA-CONTRIB-2022-028)が発表されました。

悪用されるとブラウザ上で意図しないスクリプトを実行される可能性があり、Drupalの情報サイトではリスクが上から2番目の「Critical」となっています。

https://www.drupal.org/sa-contrib-2022-028

モジュールを利用してサイトにSVGファイルをアップロードできるようにしている場合、攻撃者がアップロードするSVGファイルに意図しないデータを埋め込むことで、閲覧者のブラウザで動作に不具合を起こす可能性があります。

脆弱性の対象モジュールとバージョン

SVG Formatter はページにSVGファイルを追加することができるようになるモジュールです。

今回の脆弱性の影響を受けるバージョンは下記の通りです。

SVG Formatter 8.x-1.17未満

SVG Formatter 2.0.1 未満

脆弱性の対策

既に修正済みバージョンが提供されているため、ベンダの案内に従って検証の上バージョンアップする形になります。

https://www.drupal.org/sa-contrib-2022-028

Webサイトへの影響について

今回の脆弱性を悪用するためにはSVGファイルをアップロードする権限が必要になるため、サイト管理者以外にファイルをアップロードできないようなサイトであればほとんど影響はありません。

不特定多数のユーザーがSVGファイルをアップロードできるような機能を実装している場合は影響を受ける可能性もありますので、メンテナンスの機会があればモジュールのアップデートも検討することをお勧めします。

さいごに

DrupalはオープンソースCMSの中でも高機能と言われており、さまざまなモジュールが用意されています。

CMSのカスタマイズ性が高い一方で、各機能のセキュリティ対策には注意が必要です。

弊社ではお客様サーバーのご利用状況に応じて、エンジニアが日々発表される脆弱性の影響有無を確認して、必要に応じて修正パッケージの適用を行なっております。

サイト制作、運用が多忙でサーバーソフトの脆弱性対策を行うことが難しい場合はぜひご相談くださいませ。

コーポレートサイトをクラウドでセキュアに

SiteCloudガイドブック

「SiteCloud」の詳しい内容が分かる資料をご用意しました。
  • コーポレートサイト構築・運用の課題を解決
  • SiteCloudの主な機能
  • 導入事例
  • 導入までの流れ

関連する解決策

最新記事

タグ

詳しい資料をご覧いただけます

    サイバーの鎧のサービス内容を記載した資料をダウンロードできます。
             

【無料診断実施中】サーバーセキュリティ診断

経験豊富なセキュリティ専門技術者が、サーバーの状況を診断して、分かりやすい診断結果と今後の対応策をご覧いただけます。

無料サーバー診断申し込み
close